MKTORRENT(1)

NAME
mktorrent - simple BitTorrent metainfo file creator

SYNOPSIS
mktorrent [OPTIONS] <target directory or filename>

DESCRIPTION
mktorrent is a text-based utility to create BitTorrent metainfo files used by trackers and torrent clients. It can create metainfo files for single files or complete directories in a fast way.

OPTIONS
-a <url>[,<url>]*

    specify the full tracker announce URLs. At least one is required and additional -a add backup trackers

-c <comment>

    add a comment to the metainfo

-d

    don't write the creation date

-h

    show help screen

-l <n>

    set the piece length to 2^n bytes, default is 18, that is 2^18 = 256kb

-n <name>

    set the name of the torrent, default is the basename of the target

-o <filename>

    set the path and filename of the created file, default is <name>.torrent

-p

    set the private flag (dissalow DHT and Peer Exchange)

-v

    verbose output

-w <url>[,<url>]*

    add web seed URLs, additional -w add more URLs

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

AUTHORS
Emil Renner Berthing <esmil@mailme.dk>

This manpage was written for the Debian GNU/Linux distribution by Nico Golde <nion@debian.org>

BUGS
Please send bug reports, patches, feature requests, praise and general gossip about the program to: esmil@users.sourceforge.net